Bug 138067 - Crash in S_regmatch
Summary: Crash in S_regmatch
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-04 13:12 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-18 10:01:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testcase.pl (26.60 KB, text/plain)
2004-11-04 13:12 UTC, Bastien Nocera
no flags Details
typescript.gz (44.59 KB, application/octet-stream)
2004-11-04 13:15 UTC, Bastien Nocera
no flags Details

Description Bastien Nocera 2004-11-04 13:12:17 UTC
Crashes with both perl-5.8.0-88.9 (RHEL3 U4 Beta) and perl-5.8.0-88.7.
Test case and backtrace attached

Comment 1 Bastien Nocera 2004-11-04 13:12:51 UTC
Created attachment 106157 [details]
testcase.pl

Comment 2 Bastien Nocera 2004-11-04 13:15:11 UTC
Created attachment 106158 [details]
typescript.gz

The gzipped backtrace:
#0  S_regmatch (my_perl=0x92f6008, prog=0x93a7b80) at regexec.c:2236
#1  0x00f1aa00 in S_regmatch (my_perl=0x92f6008, prog=0x93a7b70) at
regexec.c:3785
...
#14523 0x00f1bbae in S_regmatch (my_perl=0x92f6008, prog=0x93a7b64) at
regexec.c:3075
#14524 0x00f17393 in S_regtry (my_perl=0x92f6008, prog=0x93a7b20,
   startpos=0x93b7a08
"8,9,10,11,13,14,15,17,18,19,20,21,22,24,25,26,27,28,29,30,31,32,33,35,36,37,38,39,40,41,42,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,6

3,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,8"...) at regexec.c:2164
#14525 0x00f1609e in Perl_regexec_flags (my_perl=0x92f6008, prog=0x93a7b20,
   stringarg=0x93b7a08
"8,9,10,11,13,14,15,17,18,19,20,21,22,24,25,26,27,28,29,30,31,32,33,35,36,37,38,39,40,41,42,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,

63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,8"..., strend=0x93be3f9 "",
   strbeg=0x93b7a08
"8,9,10,11,13,14,15,17,18,19,20,21,22,24,25,26,27,28,29,30,31,32,33,35,36,37,38,39,40,41,42,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,

64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,8"..., minend=0, sv=0x930a520,
data=0x0, flags=3) at regexec.c:1757
#14526 0x00ebd5f2 in Perl_pp_match (my_perl=0x92f6008) at pp_hot.c:1291
#14527 0x00ea582a in Perl_runops_debug (my_perl=0x92f6008) at dump.c:1414
#14528 0x00e599fb in S_run_body (my_perl=0x92f6008, oldscope=0) at perl.c:1705
#14529 0x00e59685 in perl_run (my_perl=0x92f6008) at perl.c:1624
#14530 0x08049413 in main (argc=0, argv=0x0, env=0xbfff92e0) at perlmain.c:85

Comment 3 Bastien Nocera 2004-11-18 10:01:32 UTC
It's fixed in RHEL4.


Note You need to log in before you can comment on or make changes to this bug.